%define name	mono-debugger
%define version	0.60
%define release	%mkrel 2
%define major 0
%define libname %mklibname %name %major
%define monodir %_prefix/lib/mono

Summary:	Mono Debugger
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Other
Source0:	http://go-mono.com/sources/mono-debugger/%name-%version.tar.bz2
Patch1: mono-debugger-0.11-dllmap.patch
URL:		http://www.go-mono.com/
BuildRequires:	mono-devel >= 1.2.4
BuildRequires:	libreadline-devel
BuildRequires:  termcap-devel
BuildRequires:	automake1.9
Requires:	mono
Requires: %libname >= %version
%define _requires_exceptions libmonodebuggerreadline

%description
The Mono Debugger

%package -n %libname
Group: System/Libraries
Summary: Shared libraries of the Mono Debugger

%description -n %libname
This contains shared libraries used by the Mono Debugger

%package -n %libname-devel
Group: Development/Other
Summary: Headers of the Mono Debugger
Provides: lib%name-devel = %version-%release
Requires: %libname = %version
Requires: %name = %version

%description -n %libname-devel
This contains headers and libraries of the Mono Debugger.


%prep
%setup -q
%patch1 -p1 -b .dllmap
aclocal-1.9
autoconf
automake-1.9 -a -c

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
install -m 644 wrapper/mdb.exe.config %buildroot%monodir/1.0/

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%monodir/*
%doc AUTHORS README README.build TODO NEWS ChangeLog RELEASE-NOTES*

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%{_libdir}/pkgconfig/*




%changelog
* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.60-2mdv2008.1
+ Revision: 134332
- fix automatic deps

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.60-1mdv2008.1
+ Revision: 133870
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 17 2007 Götz Waschk <waschk@mandriva.org> 0.50-1mdv2008.0
+ Revision: 27607
- new version
- bump deps


* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.31-1mdv2007.0
+ Revision: 86340
- Import mono-debugger

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.31-1mdv2007.1
- New version 0.31

* Sat Jul 29 2006 Gtz Waschk <waschk@mandriva.org> 0.30-1mdv2007.0
- source URL
- New release 0.30

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 0.20-1mdv2007.0
- bump deps
- drop patches 0,2
- New release 0.20

* Mon Mar 20 2006 Götz Waschk <waschk@mandriva.org> 0.12-1mdk
- New release 0.12

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.11-2mdk
- fix build

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 0.11-1mdk
- update file list
- bump deps
- update patch 1
- new version

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.10-0.46231.1mdk
- new snapshot

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 0.10-0.45941.1mdk
- bump deps
- rediff patch 2
- new snapshot

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.45318.2mdk
- patch to fix test on x86_64
- no more excusivearch

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.45318.1mdk
- fix buildrequires
- new snapshot

* Wed Jun 01 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.4mdk
- fix buildrequires

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.3mdk
- fix deps again

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.2mdk
- fix dll maps
- fix deps

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.9-0.44840.1mdk
- initial mdk package

* Tue Dec 09 2003 Martin Baulig <martin@ximian.com> 0.5-1
- initial release

